import java.awt.*;
import java.awt.Image.*;
import java.net.*;

// Dr. Bernd Kokavecz, Berlin Juni 2003

public class Zeichenblatt extends Frame {

	Image bild;
	Graphics page;

        public Zeichenblatt(String bildname){
                super("Java-Zeichenblatt,                          Dr. Bernd Kokavecz");
                URL imgURL = getClass().getResource(bildname);
                bild=Toolkit.getDefaultToolkit().getImage(imgURL);
 		prepareImage(bild, this);
		while ((checkImage(bild, this) & ALLBITS) != ALLBITS){};  // warte geladen
		pause(200);
                resize(bild.getWidth(this),bild.getHeight(this));  // Fenstergröße = Bildgröße
                setVisible(true);    //  oder : show();
	}

        public void pause(int ms){
                try {
                        Thread.currentThread().sleep(ms);
                } catch (InterruptedException exceptionoderwas){
                        System.out.println("trallala");
                }
        }

	public void paint(Graphics page){
		 this.page=page;
	         try {
      		   	page.drawImage(bild, 0, 0, this);
		 }
		 catch (Exception e){
		 }
	} 

	public void zeichneBild(Image bild, int x, int y){
 		prepareImage(bild, this);
		while ((checkImage(bild, this) & ALLBITS) != ALLBITS) {}; 
	        try {
      			page.drawImage(bild, x, y, this);
		}
			 catch (Exception e){
		}
	}

	public Image getImage(String name){         //  für zeichne Bild
                URL imgURL=getClass().getResource(name);
                Image kBild=Toolkit.getDefaultToolkit().getImage(imgURL);
		return kBild;
	}

        public boolean handleEvent(Event ev){      //  der Fenster-Zu-Knopp
                switch (ev.id){
                        case Event.WINDOW_DESTROY:
                                System.exit(0);
                                return true;
                        default: return super.handleEvent(ev);
                }
        }
}
// handleEvent METHODE (geerbte System-Methode (AWT) wird hier überschrieben)
